import { jsx as i } from "react/jsx-runtime";
import { q as f, o as l } from "./index-C62tPk5p.js";
import { A as u } from "./AppCard-CQEg94Y3.js";
import { u as A } from "./useIsAppEnabled-DnQeiNdg.js";
import h from "./EventTypeAppSettingsInterface-Dtm5cA7x.js";
const v = function({
  app: t,
  eventType: e,
  onAppInstallSuccess: s
}) {
  var o;
  const { getAppData: a, setAppData: p, disabled: n } = f(), { enabled: r, updateEnabled: c } = A(t), { t: d } = l();
  return /* @__PURE__ */ i(
    u,
    {
      onAppInstallSuccess: s,
      app: t,
      description: d("confirmation_page_gif"),
      switchOnClick: (m) => {
        c(m);
      },
      switchChecked: r,
      teamId: ((o = e.team) == null ? void 0 : o.id) || void 0,
      children: /* @__PURE__ */ i(
        h,
        {
          eventType: e,
          slug: t.slug,
          disabled: n,
          getAppData: a,
          setAppData: p
        }
      )
    }
  );
};
export {
  v as default
};
